# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /jenkins/workspace/rapidsai/gpuci/cugraph/branches/cugraph-cpu-branch-build/conda/recipes/libcugraph, last modified Wed Dec 11 20:15:35 2019
# ------------------------------------------------

package:
    name: libcugraph
    version: 0.11.0
source:
    path: /jenkins/workspace/rapidsai/gpuci/cugraph/branches/cugraph-cpu-branch-build
build:
    number: '0'
    script_env:
        - CC
        - CUDAHOSTCXX
        - CXX
        - PARALLEL_LEVEL
        - VERSION_SUFFIX
    string: cuda10.1_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - arrow-cpp 0.15.0 py37h090bef1_2
        - boost-cpp 1.70.0 h8e57a91_2
        - brotli 1.0.7 he1b5a44_1000
        - bzip2 1.0.8 h516909a_2
        - c-ares 1.15.0 h516909a_1001
        - ca-certificates 2019.11.28 hecc5488_0
        - certifi 2019.11.28 py37_0
        - cmake 3.16.0 h28c56e5_2
        - cudatoolkit 10.1.243 h6bb024c_0
        - cython 0.29.14 py37he1b5a44_0
        - dlpack 0.2 he1b5a44_1
        - double-conversion 3.1.5 he1b5a44_2
        - expat 2.2.5 he1b5a44_1004
        - gflags 2.2.2 he1b5a44_1002
        - glog 0.4.0 he1b5a44_1
        - grpc-cpp 1.23.0 h18db393_0
        - icu 64.2 he1b5a44_1
        - krb5 1.16.3 h05b26f9_1001
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libblas 3.8.0 14_openblas
        - libcblas 3.8.0 14_openblas
        - libcudf 0.11.0 cuda10.1_0
        - libcurl 7.65.3 hda55be3_0
        - libcypher-parser 0.6.2 1
        - libedit 3.1.20170329 hf8c457e_1001
        - libevent 2.1.10 h72c5cf5_0
        - libffi 3.2.1 he1b5a44_1006
        - libgcc-ng 9.2.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_2
        - liblapack 3.8.0 14_openblas
        - libnvstrings 0.11.0 cuda10.1_0
        - libopenblas 0.3.7 h5ec1e0e_5
        - libprotobuf 3.8.0 h8b12597_0
        - librmm 0.11.0 cuda10.1_0
        - libssh2 1.8.2 h22169c7_2
        - libstdcxx-ng 9.2.0 hdf63c60_0
        - libuv 1.34.0 h516909a_0
        - lz4-c 1.8.3 he1b5a44_1001
        - ncurses 6.1 hf484d3e_1002
        - numpy 1.17.3 py37h95a1406_0
        - openssl 1.1.1d h516909a_0
        - pip 19.3.1 py37_0
        - python 3.7.3 h357f687_2
        - re2 2019.12.01 he1b5a44_0
        - readline 8.0 hf8c457e_0
        - rhash 1.3.6 h14c3975_1001
        - setuptools 42.0.2 py37_0
        - snappy 1.1.7 he1b5a44_1002
        - sqlite 3.30.1 hcee41ef_0
        - thrift-cpp 0.12.0 hf3afdfd_1004
        - tk 8.6.10 hed695b0_0
        - uriparser 0.9.3 he1b5a44_1
        - wheel 0.33.6 py37_0
        - xz 5.2.4 h14c3975_1001
        - zlib 1.2.11 h516909a_1006
        - zstd 1.4.3 h3b9ef0a_0
    run:
        - cudatoolkit >=10.1.243,<10.2.0a0
        - cython
        - libcudf=0.11
about:
    home: http://rapids.ai/
    license: Apache-2.0
    license_file: ../../../LICENSE
    summary: libgraph library
extra:
    copy_test_source_files: true
    final: true
